Bug 1290546 - Change "Keyword Queries" support for "Remote Client-Server" from YES to NO
Change "Keyword Queries" support for "Remote Client-Server" from YES to NO
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: CR1
: 6.6.0
Assigned To: Christian Huffman
Depends On:
  Show dependency treegraph
Reported: 2015-12-10 13:42 EST by mario.mendoza
Modified: 2016-02-17 11:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Build Name: 14318, Infinispan Query Guide-6.5 Build Date: 29-10-2015 10:00:49 Topic ID: 30539-770135 [Specified]
Last Closed: 2016-02-17 11:25:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mario.mendoza 2015-12-10 13:42:58 EST
Title: Querying Comparison

Describe the issue:

The table on 7.1 states that "Keyword Queries" are supported on "Remote Client-Server Mode/DSL Query Remote Queries" which is not true.

Suggestions for improvement:

Change from "Yes" to "No" 

Additional information:

Keyword queries means querying for a field containing a term (keyword) like we can do with lucene in library mode. But this was never supported in remote queries as there is no way to search for objects containing a concrete term in a field. We can search using "like", but this is not a keyword query.

This is so dangerous because this is a high value functionality which appears in the documentation but is not supported by the product.
Comment 3 Martin Gencur 2016-01-05 07:46:03 EST
Actually, the middle column called "Library Mode/DSL Query" should have "NO" as well. This is not supported in Infinispan Query DSL regardless of library or client-server mode.
Comment 5 Christian Huffman 2016-02-17 11:25:23 EST
This section has been corrected and published to the customer portal.  A link to this section is below:


Note You need to log in before you can comment on or make changes to this bug.